<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Choosetemplate.php
 *
 * This is administrator choose template file
 *
 * @category	controllers
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Choosetemplate
 * 
 * This is class for choose template
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		/choosetemplate/
 * @version 	0.1 Beta
 */
class Choosetemplate extends CI_Controller {

	/**
	 * index
	 * 
	 * This function is Index Page of controller 
	 *
	 * @access public
	 * @param integer $flag_template
	 */
	public function index($flag_template = '') {

		/**
		 * Check authorization
		 */
		$this -> ischecks -> checkAuthorization();

		/**
		 * Iteration our templates
		 */
		$data_templates_name = $this -> iterationThemplateFolders($this -> configloader -> _config['paths']['tpl_main_folder']);

		/**
		 * Set parameters for our template
		 */
		$data_header = array(
			'title'				=> 'Выбор шаблона',
			'admin_name' 		=> get_cookie('admin_login'),
			'active_main' 		=> '',
			'active_content' 	=> '',
			'active_form'	 	=> '',
			'active_template' 	=> ' class="active"',
			'active_access'	  	=> '',
			'active_info'		=> '',
			'breadcrumbs' 		=> 'Выбор шаблона',
			// 'pub_admin_css_path'=> $this -> configloader -> _config['paths']['pub_admin_css'],
			// 'file_style'		=> $this -> configloader -> _config['admin_style']['news'],
			'year'				=> date("Y")
		);

		$data_templates = array(
			'data_templates' => $data_templates_name,
			'flag_template'	 => $flag_template,
			'message_template_add'=> 'Шаблон успешно выбран.'
		);

		$data_footer = array();

		/**
		 * Set name for our template
		 */
		$template_header = $this -> configloader -> _config['templates_admin']['header'];
		$template_templates = $this -> configloader -> _config['templates_admin']['choose_tempalte'];
		$template_footer = $this -> configloader -> _config['templates_admin']['footer'];

		/**
		 * Set header with nocashe
		 */
		$this -> cache -> clear();

		/**
		 * Parse our template
		 */
		$this -> parser -> parse($template_header, $data_header);
		$this -> parser -> parse($template_templates, $data_templates);
		$this -> parser -> parse($template_footer, $data_footer);
	}

	/**
	 * iterationThemplatefolders
	 * 
	 * This function iteration a folder with templates
	 *
	 * @access private
	 * @param string $tpl_main_folder
	 * @return array $tpl_folders_array
	 */
	private function iterationThemplateFolders($tpl_main_folder) {
		/**
		 * Set chosen a name of template 
		 */
		$chosen_template_name = $this -> getActivateTempalteName();

		/**
		 * Create variable for array folders
		 */
		$tpl_folders_array = NULL;
		$tpl_folders_selected_array = NULL;

		/**
		 * Loop our tpl main folder
		 */
		foreach (new DirectoryIterator($tpl_main_folder) as $key => $file_info) {
		    /**
		     * Is folder main
		     */
		    if($file_info -> isDot()) {
		    	continue;
		 	}

		 	/**
		 	 * Set array with our folders
		 	 */
		 	if (is_array($chosen_template_name)) {

		 		$path_cover = $this -> configloader -> _config['paths']['root'] . '/../../tpl/' . $file_info -> getFilename() . '/logo.png';
		 		$cover_name = '';

		 		if (file_exists($path_cover)) {
		 			$cover_name = '/tpl/' . $file_info -> getFilename() . '/logo.png';
		 		} else {
		 			$cover_name = base_url('pub/admin/img/no_image_available.png');
		 		}

		 		/**
		 		 * Create array with a data of templates
		 		 */
			 	if ($chosen_template_name['template'] == $file_info -> getFilename()) {
			 		/**
			 		 * Create array with: tpl name, tpl image and flag first tpl
			 		 */
			 		$tpl_folders_selected_array = array(
			 			'template_name' => $file_info -> getFilename(),
			 			'template_img' => $cover_name,
			 			'chosen' => true
					);
			 	} else {
					/**
			 		 * Create array with: tpl name, tpl image and flag second tpl
			 		 */
					$tpl_folders_array[$key] = array(
						'template_name' => $file_info -> getFilename(),
						'template_img' => $cover_name,
						'chosen' => false
					);
				}
			}
		}

		/**
		 * Add selected folder in array
		 */
		if(is_array($tpl_folders_selected_array)) {

			/**
			 * Add select folder element of array
			 */
			array_push($tpl_folders_array, $tpl_folders_selected_array);

			/**
			 * Re sort array DESC
			 */
			krsort($tpl_folders_array);
		}

		/**
		 * Return array with folders
		 */
		return $tpl_folders_array;
	}

	/**
	 * activate_tempalte
	 * 
	 * This function save HTML content from index.html to DB
	 *
	 * @access public
	 * @param string $template_name
	 */
	public function activate_tempalte($template_name) {

		/**
		 * Set path to template index.html
		 */
		$path_selected_template = $this -> configloader -> _config['paths']['root'] . '/../../' . $this -> configloader -> _config['paths']['tpl_main_folder'] . '/' . $template_name . '/index.html';

		/**
		 * Get content from template index.html
		 */
		$data_index_html = @file_get_contents($path_selected_template);

		/**
		 * If data not empty
		 */
		if ($data_index_html) {
			/**
			 * Save HTML content in DB
			 */
			$this -> admin_model -> saveAdminHTMLContent($data_index_html);
		} else {
			/**
			 * Redirect to template empty error
			 */
			redirect(base_url() . 'choosetemplate/2');
		}

		/**
		 * Iteration our templates
		 */
		if (isset($template_name) and !empty($template_name)) {
			$save_template_name = $this -> admin_model -> saveTemplateNameInDB($template_name);
		}

		/**
		 * Redirect administrator to choose template 
		 */
		if($save_template_name) {
			redirect(base_url() . 'choosetemplate/1');
		}
	}

	/**
	 * getActivateTempalteName
	 * 
	 * This function get an active name of template
	 *
	 * @access public
	 * @return string $get_active_template_name
	 */
	public function getActivateTempalteName() {

		/**
		 * Get active template name
		 */
		$get_active_template_name = $this -> admin_model -> getActiveTemplateNameInDB();

		/**
		 * Return data
		 */
		return $get_active_template_name;
	}
}