<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * LP cms
 *
 * Editcontent.php
 *
 * This is edit content file
 *
 * @category	controllers
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Editcontent
 * 
 * This is a class for edit of content
 *
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		/editcontent/
 * @version 	0.1 Beta
 */
class Editcontent extends CI_Controller {

	/**
	 * index
	 * 
	 * This function is Index Page of controller 
	 *
	 * @access public
	 */
	public function index() {

		/**
		 * Check authorization
		 */
		$this -> ischecks -> checkAuthorization();

		/**
		 * Get html content from model (DB)
		 */
		$html_content = $this -> admin_model -> getAdminHTMLContent();

		/**
		 * Set parameters for our template
		 */
		$data_header = array(
			'title'				=> 'Редактирование Контента',
			'admin_name' 		=> get_cookie('admin_login'),
			'active_main' 		=> '',
			'active_content' 	=> ' class="active"',
			'active_form'	 	=> '',
			'active_template' 	=> '',
			'active_access'	  	=> '',
			'active_info'		=> '',
			'breadcrumbs' 		=> 'Редактирование Контента',
			// 'pub_admin_css_path'=> $this -> configloader -> _config['paths']['pub_admin_css'],
			// 'file_style'		=> $this -> configloader -> _config['admin_style']['news'],
			'year'				=> date("Y"),

		);

		$data_content = array(
			// 'action_name' => get from language file
			'version'	=> CI_VERSION,
			'html' 	 	=> $html_content['html']
		);

		$data_footer = array();

		/**
		 * Set name for our template
		 */
		$template_header = $this -> configloader -> _config['templates_admin']['header'];
		$template_content = $this -> configloader -> _config['templates_admin']['edit_content'];
		$template_footer = $this -> configloader -> _config['templates_admin']['footer'];

		/**
		 * Set header with nocashe
		 */
		$this -> cache -> clear();

		/**
		 * Parse our template
		 */
		$this -> parser -> parse($template_header, $data_header);
		$this -> parser -> parse($template_content, $data_content);
		$this -> parser -> parse($template_footer, $data_footer);
	}

	/**
	 * save_html_to_db
	 * 
	 * This function save HTML content to DB
	 *
	 * @access public
	 * @return JSON
	 */
	public function save_html_to_db() {

		/**
		 * Check authorization
		 */
		$this -> ischecks -> checkAuthorization();

		/**
		 * Get content from textarea (method POST) 
		 */
		$new_html = $this->input->post('html_content');

		/**
		 * Save HTML content in DB
		 */
		if ($this -> admin_model -> saveAdminHTMLContent($new_html) and $this -> save_html_to_tpl_file($new_html)) {
			print json_encode(
				array(
					'flag' => true
				)
			);
		} else {
			print json_encode(
				array(
					'flag' => false
				)
			);
		}
	}

	/**
	 * save_html_to_tpl_file
	 * 
	 * This controller add new record
	 *
	 * @access public
	 * @param string $html
	 * @return boolean
	 */
	public function save_html_to_tpl_file($html = NULL) {
		/**
		 * If html content is not empty 
		 */
		if ($html) {

			/**
			 * Set access to index.html file
			 */
			chmod($this -> configloader -> _config['paths']['root'] . '/../../tpl/stylish_portfolio/index.html', 0755);

			/**
			 * Return a result of file write content 
			 */
			return write_file($this -> configloader -> _config['paths']['root'] . '/../../tpl/stylish_portfolio/index.html', $html, 'r+');
		} else {
			return false;
		}
	}
}