<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Editform.php
 *
 * This is administrator edit form file
 *
 * @category	controllers
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Editform
 * 
 * This is class for edit form
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		/editform/
 * @version 	0.1 Beta
 */
class Editform extends CI_Controller {

	/**
	 * index
	 * 
	 * This function is Index Page of controller  
	 *
	 * @access public
	 */
	public function index() {

		/**
		 * Check authorization
		 */
		$this -> ischecks -> checkAuthorization();

		/**
		 * Get data of form 
		 */
		$form_data = $this -> admin_model -> getFormDataFromDB();

		/**
		 * Unserialize data from form
		 */
		$unserialize_form_data = unserialize($form_data['form']);

		/**
		 * Set textarea form 
		 */
		$textarea_form = '
<script src="//code.jquery.com/jquery-1.12.4.min.js"></script>
<script src="'.base_url('/pub/user/js/sendform.js').'"></script>
<form method="POST" action="'.base_url('sendmail/').'" id="lp_form">
	<div>
		<label>Ваше Имя</label>
		<input type="text" name="lp_name" id="lp_name" value="">
	</div>
	<div>
		<label>Ваш Телефон</label>
		<input type="text" name="lp_phone" id="lp_phone" value="">
	</div>
	<div class="lp_form_error" id="lp_form_error"></div>
	<div class="lp_form_good" id="lp_form_good"></div>
	<button type="submit" name="form_submit" value="1">Отправить</button>
</form>';

		/**
		 * Set parameters for our template
		 */
		$data_header = array(
			'title'				=> 'Редактирование формы',
			'admin_name' 		=> get_cookie('admin_login'),
			'active_main' 		=> '',
			'active_content' 	=> '',
			'active_form'	 	=> ' class="active"',
			'active_template' 	=> '',
			'active_access'	  	=> '',
			'active_info'		=> '',
			'breadcrumbs' 		=> 'Редактирование формы',
			// 'pub_admin_css_path'=> $this -> configloader -> _config['paths']['pub_admin_css'],
			// 'file_style'		=> $this -> configloader -> _config['admin_style']['news'],
			'year'				=> date("Y")
		);

		$data_form = array(
			'form_input_email_to'	=> $unserialize_form_data['form_email_to'],
			'form_input_email_from'	=> $unserialize_form_data['form_email_from'],
			'form_input_subject'	=> $unserialize_form_data['form_subject'],
			'textarea_form'			=> $textarea_form
		);

		$data_footer = array();

		/**
		 * Set name for our template
		 */
		$template_header = $this -> configloader -> _config['templates_admin']['header'];
		$template_catalogs = $this -> configloader -> _config['templates_admin']['edit_form'];
		$template_footer = $this -> configloader -> _config['templates_admin']['footer'];

		/**
		 * Set header with nocashe
		 */
		$this -> cache -> clear();

		/**
		 * Parse our template
		 */
		$this -> parser -> parse($template_header, $data_header);
		$this -> parser -> parse($template_catalogs, $data_form);
		$this -> parser -> parse($template_footer, $data_footer);
	}

	/**
	 * sendForm
	 * 
	 * This function send form
	 *
	 * @access public
	 */
	public function sendForm() {

		/**
		 * Check authorization
		 */
		$this -> ischecks -> checkAuthorization();

		/**
		 * Form submit value
		 */
		$form_submit = $this -> input -> post('form_submit');

		/**
		 * If form submit
		 */
		if (isset($form_submit) and !empty($form_submit)) {

			/**
			 * Set variables from form
			 */
			$form_email_to = $this -> input -> post('form_email_to');
			$form_email_from = $this -> input -> post('form_email_from');
			$form_subject = $this -> input -> post('form_subject');
			$serialize_form_data = serialize(
				array(
					'form_email_to' => $form_email_to,
					'form_email_from' => $form_email_from,
					'form_subject' => $form_subject
				)
			);

			/**
			 * Send data to DB
			 */
			if ( $this -> admin_model -> writeFormDataToDB($serialize_form_data) ) {
				/**
				 * Redirect administrator to editor of form 
				 */
				redirect(base_url() . 'editform/');
			}
		}
	}
}