<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Index_lp.php
 *
 * This is main index page for users
 *
 * @category	controllers
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Index_lp
 * 
 * This is class main index page for users
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		/
 * @version 	0.1 Beta
 */
class Index_lp extends CI_Controller {

	/**
	 * index
	 *
	 * @access public
	 * @see http://codeigniter.com/user_guide/general/urls.html
	 */
	public function index() {

		/**
		 * Get install complete flag
		 */
		$install_complete = $this -> admin_model -> getCompleteInstallPlatformToDB();

		/**
		 * If install platform then redirect to install page
		 */
		if ($install_complete['install_flag'] == 0) {
			redirect(base_url() . 'install/');
		}

		/**
		 * Set limit
		 */
		$limit = 1;

		/**
		 * Get content from DB
		 */
		$html_content = $this -> landing_model -> getHTMLContent($limit);

		/**
		 * Set array with data (get an our data from model)
		 */
		$data = array(
            'html_content' => $html_content[0]['html'],
		);

		/**
		 * Set name for our template
		 */
		$template = $this -> configloader -> _config['templates_user']['index_lp'];

		/**
		 * Parse our view (html file)
		 */
		$this -> parser -> parse('index_lp.html', $data);
	}
}