<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Layout.php
 *
 * This is file for layout of administrator
 *
 * @category	controllers
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Layout
 * 
 * This is class for layout of administrator
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		/layout/
 * @version 	0.1 Beta
 */
class Layout extends CI_Controller {
	
	/**
	 * index
	 * 
	 * This is Authorization class
	 *
	 * @access public
	 */
	public function index() {

		/**
		 * Check authorization
		 */
		$this -> ischecks -> checkAuthorization();

		/**
		 * Get install complete flag
		 */
		$get_install_complete = $this -> admin_model -> getCompleteInstallPlatformToDB();

		/**
		 * Set parameters for our template
		 */
		$data_header = array(
			'title'			  => 'Welcome to Admin Panel',
			'admin_name' 	  => get_cookie('admin_login'),
			'active_main'	  => ' class="active"',
			'active_content'  => '',
			'active_form'	  => '',
			'active_template' => '',
			'active_access'	  => '',
			'active_info'	  => '',
			'breadcrumbs' 	  => 'Главная',
			'year'			  => date("Y")
			// 'pub_admin_css_path'=> $this -> configloader -> _config['paths']['pub_admin_css'],
			// 'file_style'		=> $this -> configloader -> _config['admin_style']['layout']
		);
		$data_layout = array(
			'admin_name' 	=> get_cookie('admin_login'),
			'date'			=> date("d/m/Y"),
			'install_flag'	=> $get_install_complete['install_flag'],
			'year'			=> date("Y")
		);
		$data_footer = array(
			
		);
		/**
		 * Parse our template
		 */
		$template_header = $this -> configloader -> _config['templates_admin']['header'];
		$template_layout = $this -> configloader -> _config['templates_admin']['layout'];
		$template_footer = $this -> configloader -> _config['templates_admin']['footer'];
		
		/**
		 * Parse our template
		 */
		$this -> parser -> parse($template_header, $data_header);
		$this -> parser -> parse($template_layout, $data_layout);
		$this -> parser -> parse($template_footer, $data_footer);
	}
}