<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Sendmail.php
 *
 * This is file for send email
 *
 * @category	controllers
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Sendmail
 * 
 * This is send email class
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @version 	0.1 Beta
 * @see 		/sendmail/
 */
class Sendmail extends CI_Controller {

	/**
	 * index
	 * 
	 * This function send an amail address for admin
	 *
	 * @access public
	 */
	public function index() {

		/**
		 * Get our POST data
		 */
		$name = $this->input->post('name');
		$phone = $this->input->post('phone');

		/**
		 * Get data of form 
		 */
		$form_data = $this -> admin_model -> getFormDataFromDB();

		/**
		 * Unserialize data from form
		 */
		$unserialize_form_data = unserialize($form_data['form']);

		/**
		 * Set a config for email
		 */
		$config['charset'] = 'utf-8';
		$config['wordwrap'] = TRUE;

		/**
		 * Initialize our email config
		 */
		$this->email->initialize($config);

		/**
		 * Set a data for our email message
		 */
		$email_to = $unserialize_form_data['form_email_to'];
		$email_from = explode(",", $unserialize_form_data['form_email_from']);
		$email_subject = $unserialize_form_data['form_subject'];
		$mail_message = '
Данные отправителя:
	Имя: ' . $name . '
	Телефон: ' . $phone . '
		';

		/**
		 * Set options for mailer sender
		 */
		$this->email->to($email_to);
		$this->email->from($email_from[1], $email_from[0]);		
		$this->email->subject($email_subject);
		$this->email->message($mail_message);

		/**
		 * If name and phone is not empty
		 */
		if ($name == '' or $phone == '') {
			return false;
		} else {
			/**
			 * Send email
			 * debug 	echo $this->email->print_debugger();
			 */
			$send = $this->email->send();
		}

		/**
		 * Print json data for ajax request
		 */
		print json_encode(array(
			'flag' => $send
		));
	}

}