<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Viewinfo.php
 *
 * This is file for view information of platform
 *
 * @category	controllers
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Viewinfo
 * 
 * This is class for view information of platform
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		/viewinfo/
 * @version 	0.1 Beta
 */
class Viewinfo extends CI_Controller {

	/**
	 * index
	 * 
	 * This is Authorization class
	 *
	 * @access public
	 */
	public function index() {

		/**
		 * Check authorization
		 */
		$this -> ischecks -> checkAuthorization();

		/**
		 * Set parameters for our template
		 */
		$data_header = array(
			'title'				=> 'Информация о системе',
			'admin_name' 		=> get_cookie('admin_login'),
			'active_main' 		=> '',
			'active_content' 	=> '',
			'active_form'	 	=> '',
			'active_template' 	=> '',
			'active_access'	  	=> '',
			'active_info'		=> ' class="active"',
			'breadcrumbs' 		=> 'Информация о системе',
			// 'pub_admin_css_path'=> $this -> configloader -> _config['paths']['pub_admin_css'],
			// 'file_style'		=> $this -> configloader -> _config['admin_style']['news'],
			'year'				=> date("Y")
		);

		/**
		 * Get MYSQL version
		 */
		$mysql_version = $this -> admin_model -> getMYSQLversion();

		/**
		 * Set data for content
		 */
		$data_about = array(
			'cms_name'				=> 'LPcms',
			'cms_version'			=> '0.1 Beta',
			'cms_charset'			=> $this -> configloader -> _config['charset'],
			'server_apache_version' => $_SERVER['SERVER_SOFTWARE'],
			'php_version'			=> phpversion(),
			'mysql_version' 		=> $mysql_version['mysql_version'],

		);

		$data_footer = array();

		/**
		 * Set name for our template
		 */
		$template_header = $this -> configloader -> _config['templates_admin']['header'];
		$template_about = $this -> configloader -> _config['templates_admin']['view_info'];
		$template_footer = $this -> configloader -> _config['templates_admin']['footer'];

		/**
		 * Set header with nocashe
		 */
		$this -> cache -> clear();

		/**
		 * Parse our template
		 */
		$this -> parser -> parse($template_header, $data_header);
		$this -> parser -> parse($template_about, $data_about);
		$this -> parser -> parse($template_footer, $data_footer);
	}
}