<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Cache.php
 *
 * This is clear cache file of HEADERS
 *
 * @category	libraries
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Cache
 * 
 * This is class for clear cache of HEADERS
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		$this -> cache -> clear();
 * @version 	0.1 Beta
 */
class Cache {
	
	/**
	 * _CI
	 *
	 * @var null
	 */
	private $_CI;
	
	/**
	 * Constructor
	 * 
	 * This function initialize our objects
	 * 
	 * @access public
	 */
	public function __construct() {
		
		/**
		 * First, assign the CodeIgniter object to a variable
		 */
		$this -> _CI =& get_instance();
	}
	
	/**
	 * clearCache
	 * 
	 * This helper clear cache (with through headers) when page load
	 *
	 * @url http://www.codeigniter.com/user_guide/libraries/output.html?highlight=set_header#CI_Output::set_header
	 * @url http://stackoverflow.com/questions/5429386/browser-cache-issue-in-codeigniter
	 * @url http://stackoverflow.com/questions/30120059/codeigniter-avoid-browser-caching-during-cross-controller-redirection
	 * @url http://www.robertmullaney.com/2011/08/13/disable-browser-cache-easily-with-codeigniter/
	 * @url redirect('home','refresh');
	 * @access public
	 */
	public function clear() {
		$this -> _CI -> output -> set_header('Expires: Sat, 26 Jul 1997 05:00:00 GMT');
		$this -> _CI -> output -> set_header('Cache-Control: no-cache, no-store, must-revalidate, max-age=0');
		$this -> _CI -> output -> set_header('Cache-Control: post-check=0, pre-check=0', FALSE);
		$this -> _CI -> output -> set_header('Pragma: no-cache');
	}
}