<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Configloader.php
 *
 * This is a config loader file
 *
 * @category	libraries
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Configloader
 * 
 * This is a config loader class
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		$this -> configloader -> _config[key1][key2]
 * @version 	0.1 Beta
 */
class Configloader {

	/**
	 * _CI
	 *
	 * @var null
	 */
	private $_CI;
	
	/**
	 * _config
	 *
	 * @var null
	 */
	public $_config;
	
	/**
	 * _locale
	 *
	 * @var null
	 */
	public $_locale;
	
	/**
	 * Constructor
	 * 
	 * This function initialize our objects
	 * 
	 * @access public
	 */
	public function __construct() {
		
		/**
		 * First, assign the CodeIgniter object to a variable
		 */
		$this -> _CI =& get_instance();
		
		/**
		 * Load data from config file 
		 */
		$this -> _CI -> config -> load('config', TRUE);
		
		$this -> _config = $this -> _CI -> config -> item('config');
		
		/**
		 * Load data from locale file
		 */
		// $this -> _CI -> lang -> load('locale', '/');
		
		// $this -> _locale = $this -> _CI -> lang -> line('english');
	}
}