<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Ischecks.php
 *
 * This is a check data file
 *
 * @category	libraries
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Ischecks
 * 
 * This is a check data class
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		$this -> ischecks -> checkAuthorization() / $this -> ischecks -> checkAjaxRequest()
 * @version 	0.1 Beta
 */
class Ischecks {
	
	/**
	 * _CI
	 *
	 * @var null
	 */
	private $_CI;
	
	/**
	 * Constructor
	 * 
	 * This function initialize our objects
	 * 
	 * @access public
	 */
	public function __construct() {
		
		/**
		 * First, assign the CodeIgniter object to a variable
		 */
		$this -> _CI =& get_instance();
	}
	
	/**
	 * checkRequest
	 * 
	 * Check AJAX Request
	 * 
	 * @access public
	 */
	public function checkAjaxRequest() {
		
		if (!$this -> _CI -> input -> is_ajax_request()) {
			show_404();
		}
	}
	
	/**
	 * checkAuthorization
	 *
	 * This function check authorization on administrator panel pages
	 *
	 * @access public
	 */
	public function checkAuthorization() {
		
		/**
		 * Check current url
		 */
		$position = strpos(current_url(), '/auth');
		
		$redirect = ($position === FALSE) ? FALSE : TRUE;
		
		/**
		 * Check cookie from administrator
		 */
		$cookie_admin_id = get_cookie('admin_id');
		$cookie_admin_hash = get_cookie('admin_hash');
		
		if ($cookie_admin_id and $cookie_admin_hash) {
			
			$admin_data_array = $this -> _CI -> auth_model -> getAdminIdAndHash($cookie_admin_id, $cookie_admin_hash); 
			
			if ($cookie_admin_id !== $admin_data_array['admin_id'] or $cookie_admin_hash !== $admin_data_array['admin_hash']) {
				
				/**
				 * Delete authorization cookie
				 */
				delete_cookie('admin_id');
				delete_cookie('admin_hash');
				
				/**
				 * Redirect
				 */
				if (!$redirect) {
					redirect(base_url() . 'auth/');
				}
			} else {
				
				/**
				 * Redirect
				 */
				if ($redirect) {
					redirect(base_url() . 'layout/');
				}
			}
		} else {
			
			/**
			 * Redirect
			 */
			if (!$redirect) {
				redirect(base_url() . 'auth/');
			}
		}
	}
}