<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Landing_model.php
 *
 * This is landing model file
 *
 * @category	models
 * @package		LP cms
 * @link		https://lpcms.net
 * @copyright	2017
 * @license 	MIT License (https://en.wikipedia.org/wiki/MIT_License)
 * @version 	0.1 Beta
 */

/**
 * Landing_model
 * 
 * This is landing model class
 * 
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @see 		$this -> landing_model -> method_name
 * @version 	0.1 Beta
 */
class Landing_model extends CI_Model {
	
	/**
	 * _DB_table_posts
	 * 
	 * @var string	This is name of Database
	 */
	private $_DB_table_content;
	
	/**
	 * __construct
	 * 
	 * This function initialize a name of DB 
	 * 
	 * @access public
	 */
	public function __construct() {
		/**
		 * Set variables with name of DB table
		 */
		$this -> _DB_table_content = $this -> configloader -> _config['table_names']['content'];
	}

	/**
	 * getHTMLContent
	 * 
	 * This function get enabled comment from DB
	 *
	 * @access public
	 * @return array / bool
	 */
	public function getHTMLContent() {
		
		/**
		 * Set id for query
		 */
		$id = 1;

		/**
		 * Select content information
		 */
		$this->db->select('html');
		$this -> db -> where(
			array('id' => $id)
		);
		$query = $this -> db -> get($this -> _DB_table_content);

		/**
		 * If array not empty, then return data, else return false
		 */
		if ($query -> num_rows() > 0) {
			return $query -> result_array();
		} else {
			return FALSE;
		}
	}
}