/** 
 * @fileoverview This file send form
 * @author 		Developers of lpcms.net <dev@lpcms.net>
 * @version		0.1 Beta
 * @copyright	2017
 */
$(function($) {
	/**
	 * Clear form message
	 */
	$("#lp_name, #lp_phone").keyup(function() {
		$("#lp_form_error").css('display', 'none');
		$("#lp_form_good").css('display', 'none');
	});

	/**
	 * If submit our form
	 */
	$("#lp_form").submit(function(event) {

		//Disable submit our form
		event.preventDefault();

		//Set variables
		var form = $(this),
			name = $("#lp_name").val(),
			phone = $("#lp_phone").val(),
			set_error = function(text) {
				$("#lp_form_error")
					.css('display', 'block')
					.html(text);
			},
			set_good = function(text) {
				$("#lp_form_good")
					.css('display', 'block')
					.html(text);
			};

		//If fields is empty
		if (name == '') {
			set_error('Пожалуйста введите Ваше имя.');
			return false;
		}

		if (phone == '') {
			set_error('Пожалуйста введите Ваш номер телефона.');
			return false;
		}

		//Send letter by AJAX on email
		$.ajax({
			type: "POST",
			dataType: "json",
			url: '/sendmail/',
			contentType: "application/x-www-form-urlencoded;charset=utf-8",
			cache: false,
			data: {
				name: name,
				phone: phone
			},
			success: function(object) {	
				if (object.flag == true) {
					//Clear form
					form[0].reset();
					
					//Show success message
					set_good('Письмо успешно отправлено, мы свяжемся с Вами в ближайшее время.');

					//Hide success message
					setTimeout(set_good, 5000, '');
				} else {
					//Show error from server
					set_error(server_msg);
				}
			}
		});
	});
});